- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Retrieves all Chrome Browsers of a customer (paginated).
HTTP request
GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/chromeBrowsers
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Format: customers/{customerId} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum number of results to return. Maximum and default are 100. |
pageToken |
Optional. Token to specify next page in the list. |
filter |
Optional. The filter used to filter browsers. The following fields can be used in the filter:
The following functions can be used in the filter:
Any of the above fields or functions can be used to specify a filter, and filtering by multiple fields or functions is supported with AND operator. String type, Integer type fields and enum type fields support |
orderBy |
Optional. The fields used to specify the ordering of the results. The supported fields are:
By default, sorting is in ascending order, to specify descending order for a field, a suffix |
Request body
The request body must be empty.
Response body
Response to chromeBrowsers.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"chromeBrowsers": [
{
object ( |
| Fields | |
|---|---|
chromeBrowsers[] |
List of Chrome Browser device objects. |
nextPageToken |
Token used to access next page of this result. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chrome.management.browsers.readonlyhttps://www.googleapis.com/auth/chrome.management.browsers